> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onboard.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Best Price for Trade

Fetches the best available market price for a trade based on specified parameters. This helps users have a near-accurate estimate before proceeding with a transaction.


## OpenAPI

````yaml get /exchange/api/orders/price
openapi: 3.0.3
info:
  version: 2.1.0
  title: Onboard External API Gateway
  description: >-
    **Introduction**

    API Gateway for Onboard


    This specification describes API endpoints that are available to the public
    internet via the API gateway. The different endpoints require different
    authentication schemes, see documentation for what applies to the operation
    you want to access.


    **Errors**

    Uses conventional HTTP response codes to indicate success or failure. In

    general:
     
    - `2xx` status codes indicate success. Codes in the

    - `4xx` range

    indicate a client error (e.g. required parameters, failed request etc.).

    - `5xx` status codes indicate a server error occurred.
  contact:
    name: Nestcoin TechOps
    email: techops@nestcoin.com
  license:
    name: UNLICENSED
servers:
  - url: https://external.dev.onboardpay.co
    description: Gateway for external API on staging environment.
security: []
tags:
  - name: users-onboardapi
    description: Endpoints available to for merchants liquidity automation
  - name: users-users
    description: User related endpoints
  - name: users-partners
    description: Partner related endpoints
  - name: users-admin
    description: Back office related endpoints
  - name: users-user2fa
    description: User 2fa related endpoints
  - name: users-usernotifications
    description: User notifications related endpoints
  - name: users-merchantnetwork
    description: Merchant network endpoints
  - name: users-userauth
    description: Authentication endpoints
  - name: users-userservice
    description: Service endpoints
  - name: users-webhook
    description: webhook endpoints
paths:
  /exchange/api/orders/price:
    get:
      tags:
        - exchange-external-api
      summary: Get best price for order
      operationId: getPrice
      parameters:
        - $ref: '#/components/parameters/ExchangeSvctradeTypeQueryParam'
        - $ref: '#/components/parameters/ExchangeSvcfiatQueryParam'
        - $ref: '#/components/parameters/ExchangeSvcfiatAmountQueryParam'
        - $ref: '#/components/parameters/ExchangeSvctokenQueryParam'
        - $ref: '#/components/parameters/ExchangeSvctokenAmountQueryParam'
        - $ref: '#/components/parameters/ExchangeSvcnetworkQueryParam'
        - $ref: '#/components/parameters/ExchangeSvcpaymentChannelQueryParam'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PriceDto'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessageDto'
        '401':
          description: Unauthorized request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessageDto'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessageDto'
      security: []
components:
  parameters:
    ExchangeSvctradeTypeQueryParam:
      name: tradeType
      in: query
      description: |
        Type of trade (maps to transaction type: BUY - ONRAMP, SELL - OFFRAMP)
      required: false
      schema:
        $ref: '#/components/schemas/TradeTypeQueryParamTradeTypeEnum'
    ExchangeSvcfiatQueryParam:
      name: fiat
      in: query
      schema:
        type: string
    ExchangeSvcfiatAmountQueryParam:
      name: fiatAmount
      in: query
      schema:
        type: number
    ExchangeSvctokenQueryParam:
      name: token
      in: query
      schema:
        type: string
    ExchangeSvctokenAmountQueryParam:
      name: tokenAmount
      in: query
      schema:
        type: number
    ExchangeSvcnetworkQueryParam:
      name: networkId
      in: query
      description: >-
        Onboard blockchain network identifier or chain Id e.g Base will be
        `base` or `8453` or `0x2105`
      schema:
        type: string
    ExchangeSvcpaymentChannelQueryParam:
      name: paymentChannel
      in: query
      schema:
        type: string
  schemas:
    PriceDto:
      required:
        - price
      type: object
      properties:
        price:
          type: number
          description: The price at which the order will be traded
      description: Price for a trade
    ErrorMessageDto:
      description: >-
        Default error object for services. This gives consistent error object
        that all services may use.
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          description: Error code
          example: UNKNOWN_ERROR
        message:
          type: string
          description: Descriptive error message
          example: Request could not be completed due to an error
        data:
          type: object
          description: Additional data for this error message.
          additionalProperties: true
          properties: {}
      x-common-model: ErrorMessageDto
    TradeTypeQueryParamTradeTypeEnum:
      type: string
      enum:
        - BUY
        - SELL

````